Home / Resources / API Reference

Deployment - Get status

This API endpoint returns deployment status and logs based on deployment unique identifier.

Request

Parameters
deploymentId
string
required
The unique identifier of the deployment entity.
skipLogs
boolean
optional
When set to true no logs will be returned - response will include only the deployment status information. By default logs are included in response.
getLogsAfter
number
optional
Specifies a .NET ticks value that represents a date. Only logs after this date will be returned.
More information on .NET ticks: https://learn.microsoft.com/en-us/dotnet/api/system.datetime.ticks?view=net-8.0#remarks.
Typically specify this value only after fetching first batch of deployment logs. The response of first batch will include a ticks value representing last returned log item. Use this value to implement log paging.
Request body

GET /deployment?
  deploymentId=603af550-e241-4a3f-9545-5971c2f455ff
  &skipLogs=true
  &getLogsAfter=1744308919000

Response

Parameters
status
object
Deployment status information.

Possible values of the Status property: Queued, Running, Completed, Failed, Cancelled, Validating, AwaitingSlot
logs
array[object]
Colleciton of deployment logs.

Possible values of the LogLevel property:
Trace,Debug, Information, Warning, Error, Critical, None
Response body

{
  "status": {
    "Status": "Completed",
    "ErrorCount": 0,
    "WarningCount": 0,
    "LastLogDate": "2024-08-12T08:39:20.443063+00:00",
    "LastLogDateTick": 638590487604430630,
    "LastUpdate": "2024-08-12T08:39:20.448381+00:00",
    "CancellationRequestedDate": null,
    "LastAttemptDate": "2024-08-12T08:39:10.204873+00:00",
    "CompleteDate": "2024-08-12T08:39:20.448381+00:00"
  },
  "logs": [
    {
      "CreatedLocalTime": null,
      "CreatedUtc": "2024-08-12T08:39:10.215781+00:00",
      "CreatedUtcTick": 638590487502157810,
      "Data": "Deployment starting",
      "DeploymentId": "c49f8f8b-7db4-4062-83c6-4a7c7f09a570",
      "DeploymentMonitorId": null,
      "ErrorCount": 0,
      "WarningCount": 0,
      "ExceptionData": null,
      "Id": "87d2f661-bed0-455a-a0f6-deb6a9b8f2c5",
      "LogLevel": "Information",
      "ParentLogId": null,
      "StepId": null
    },
    ...
  ]
}